:- module(webdb_front, [main/0], [actmods]).

%%%%%%%%%%%%%%%%%%%%%%%%%%%% Needed modules %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
:- use_active_module(dbserver, [db_maintenance/3]).
:- use_module(library('actmods/filebased_locate')).
:- use_module(library('pillow/html')).
%%%%%%%%%%%%%%%%%%%%%%%%%%%% Defined predicates  %%%%%%%%%%%%%%%%%%%%%%%%

main:- 
	html_protect(main1). % To see errors in Netscape

main1:-
	get_form_input(Input),!,
	db_maintenance(Input,_,Response),
	output_html(Response).

%% Version comment prompting control for this file.
%% Local Variables: 
%% mode: CIAO
%% update-version-comments: "off"
%% End:

