html_format(name(Value,N), Field, public, input(text, [name=Field, size=N, value=Value]), unidimensional).

html_format(name(Value,_N), Field, private, tt(Value), unidimensional).

html_format(textinput(Value, Rows, Cols), Field, public, textinput(Field, [rows=Rows, cols=Cols], Value), bidimensional).

html_format(textinput(Value, _Rows, _Cols), Field, private, tt(Value), bidimensional).

html_format(number(Value,N), Field, public, input(number, [name=Field, size=N, value=Value]), unidimensional).

html_format(number(Value,_N), Field, private, tt(Value), unidimensional).

html_format(password(Value ,N), Field, public, input(password, [name=Field, size=N, value=Value]), unidimensional).

html_format(password(Value ,_N), Field, private, tt('forbidden'), unidimensional).

html_format(checkbox(State), Field, _, checkbox(Field, State), plain).

html_format(menu(Size, Att, Fields), Field, _, menu(Field, [size=Size, Att], Fields), plain).

html_format(input_img(Value, N), Field, public, [input(text, [name=Field, size=N, value=Value]),\\, img$[src=Value]], unidimensional).

html_format(input_img(Value, _N), Field, private, img$[src=Value], unidimensional).

html_format(input_link(Value, N), Field, public, [input(text, [name=Field, size=N, value=Value]),\\, ref(Value, Value)], unidimensional).

html_format(input_link(Value, _N), Field, private, ref(Value, Value), unidimensional).

html_format(color(Value), Field, _, % Value in [red,blue,green]
            [radio(Field,red,Value), image('/gifs/mana.red.gif'),\\,
             radio(Field,blue,Value), image('/gifs/mana.blue.gif'),\\,
             radio(Field,green,Value), image('/gifs/mana.green.gif')],plain).




